document.addEventListener('DOMContentLoaded', () => {
  const timeOptions = document.querySelectorAll('.time-option');
  const rsvpForm = document.getElementById('rsvpForm');
  const confirmation = document.querySelector('.confirmation');

  timeOptions.forEach(option => {
    option.addEventListener('click', (e) => {
      e.preventDefault();
      timeOptions.forEach(btn => btn.classList.remove('selected'));
      option.classList.add('selected');
      rsvpForm.style.opacity = '1';
      rsvpForm.style.transform = 'translateY(0)';
    });
  });

  rsvpForm.addEventListener('submit', (e) => {
    e.preventDefault();
    confirmation.style.display = 'block';
    rsvpForm.reset();
    timeOptions.forEach(btn => btn.classList.remove('selected'));
    rsvpForm.style.opacity = '0';
    rsvpForm.style.transform = 'translateY(20px)';
    
    setTimeout(() => {
      confirmation.style.display = 'none';
    }, 5000);
  });
});